<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:srv="servers.data">

	<xsl:key name="server-lookup" match="srv:server" use="srv:content"/>
    <xsl:variable name="servers-top" select="document('')/*/srv:servers"/>

	
	<xsl:template match="/">
		<xsl:apply-templates select="//CAProblemReport"/>
		<xsl:apply-templates select="//CCATProblemReport"/>
	</xsl:template>

	<xsl:template match="CAProblemReport">
		<HTML><HEAD><TITLE>
			<xsl:value-of select="ancestor::ProblemReport/BriefDescription"/>
		</TITLE></HEAD><BODY>
			<H3>Problem Found: <xsl:value-of select="ancestor::ProblemReport/BriefDescription"/> at <xsl:value-of select="EventTime"/></H3><DL>
			<DT><STRONG>Problem Report Times:</STRONG></DT><DD>
			<TABLE border='0'>
				<TR><TD>Event Time: </TD><TD><xsl:value-of select="EventTime"/></TD></TR>
				<TR><TD>Report Time: </TD><TD><xsl:value-of select="CreationTime"/></TD></TR>
				<TR><TD>Expiration Time: </TD><TD><xsl:value-of select="ExpirationTime"/></TD></TR>
			</TABLE></DD>
			<BR/><DT><STRONG>Managed Entity:</STRONG></DT>
			<DD><PRE><xsl:value-of select="ManagedEntity"/></PRE></DD>
			
			<DT><STRONG>Service Obligation Data:</STRONG></DT><dd><table border="0">
			<tr><td>   Service Obligation:            </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/State"/></td></tr>
			<tr><td>   Service Obligation Number:     </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ObligationNumber"/></td></tr>
			<tr><td>   System Serial Number:          </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/SerialNumber"/></td></tr>
			<tr><td>   Service Provider Company Name: </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ServiceProvider"/></td></tr>
			</table></dd><BR/>
			<DT><STRONG>Brief Description:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/BriefDescription"/></PRE></DD>
			<DT><STRONG>Callout ID:</STRONG></DT><DD><PRE><xsl:value-of select="CalloutID"/></PRE></DD>
			<DT><STRONG>Severity:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Severity"/></PRE></DD>
			<DT><STRONG>Reporting Node:</STRONG></DT><DD><PRE><xsl:value-of select="ReportingNode"/></PRE></DD>
			<DT><STRONG>Full Description:</STRONG></DT><DD><PRE><xsl:value-of select="FullDescription"/></PRE></DD>
			<DT><STRONG>FRU List:</STRONG></DT><DD><PRE><xsl:value-of select="FRUList"/></PRE></DD>
<!--			<xsl:apply-templates select="ConfigCollection"/> -->
			<DT><STRONG>Evidence:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Evidence"/></PRE></DD>
			<DT><STRONG>CA Version:</STRONG></DT><DD><PRE><xsl:value-of select="CAVersion"/></PRE></DD>
			<DT><STRONG>WCC Version:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/WCCVersion"/></PRE></DD>
			<xsl:apply-templates select="ancestor::ProblemReport/Profile"/>
			</DL>
		</BODY></HTML>
	</xsl:template>

	<xsl:template match="CCATProblemReport">
		<HTML><HEAD><TITLE>
			<xsl:value-of select="ancestor::ProblemReport/BriefDescription"/>
		</TITLE></HEAD><BODY>
			<H3>Problem Found: <xsl:value-of select="ancestor::ProblemReport/BriefDescription"/> </H3><DL>
			
			<DT><STRONG>Service Obligation Data:</STRONG></DT><dd><table border="0">
			<tr><td>   Service Obligation:            </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/State"/></td></tr>
			<tr><td>   Service Obligation Number:     </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ObligationNumber"/></td></tr>
			<tr><td>   System Serial Number:          </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/SerialNumber"/></td></tr>
			<tr><td>   Service Provider Company Name: </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ServiceProvider"/></td></tr>
			</table></dd><BR/>
			<DT><STRONG>Brief Description:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/BriefDescription"/></PRE></DD>
			<DT><STRONG>Severity:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Severity"/></PRE></DD>
			<DT><STRONG>Reporting Node:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/NodeName"/></PRE></DD>
			<DT><STRONG>Full Description:</STRONG></DT><DD><PRE><xsl:value-of select="FullDescription"/></PRE></DD>
			<DT><STRONG>Evidence:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Evidence"/></PRE></DD>
			<DT><STRONG>CCAT Version:</STRONG></DT><DD><PRE><xsl:value-of select="CCATVersion"/></PRE></DD>
			<DT><STRONG>WCC Version:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/WCCVersion"/></PRE></DD>
			<xsl:apply-templates select="ancestor::ProblemReport/Profile"/>
			</DL>
		</BODY></HTML>
	</xsl:template>

	<xsl:template match="Profile">
		<DT><STRONG>Customer Profile:</STRONG></DT><dd><br/>
		<xsl:apply-templates select="ancestor::ProblemReport/Profile/profileLine"/>
		</dd><br/>
	</xsl:template>
	
	<xsl:template match="ConfigCollection">
			<DT><STRONG>Event Log Collection Link:</STRONG></DT>
			<DD>Event log collection has been triggered by this callout.  The results are stored at: <P>
				<a><xsl:attribute name="href">https://<xsl:apply-templates select="$servers-top">
   <xsl:with-param name="curr-collection" select="."/>
  </xsl:apply-templates>/iseecore/index/index.do?menuId=1&amp;menuState=Device+Search%7ChostName%3D%22<xsl:value-of select="ConfigName"/>%22&amp;page=%2Fiseecore%2Fdevice%2FsearchResults.do%3FhostName%3D<xsl:value-of select="ConfigName"/>%26entitlementType%3D%26entitlementID%3D%26model%3D%26manufacturer%3D%26x%3D41%26y%3D6</xsl:attribute>
				   <xsl:attribute name="target"><xsl:value-of select="ConfigName"/></xsl:attribute><xsl:value-of select="ConfigName"/> Event Log</a>
			</P></DD>
			<xsl:apply-templates select="ScheduledStart"/>
	</xsl:template>
	
	<xsl:template match="ScheduledStart">
		<P><I>Note: Event Log collection scheduled for <xsl:value-of select="text()"/></I></P>
	</xsl:template>

	<xsl:template match="profileLine">
		<pre> <xsl:value-of select="text()"/> </pre>
	</xsl:template>

	<xsl:template match="srv:servers">
	  <xsl:param name="curr-collection"/>
		<xsl:variable name="look-for" select="$curr-collection/ContentServer"/>
		<xsl:variable name="default" select="srv:default"/>
		<xsl:variable name="result" select="key('server-lookup', $look-for)/srv:config"/>
		<xsl:choose>
		  <xsl:when test="$result">
			<xsl:value-of select="$result"/>
		  </xsl:when>
		  <xsl:otherwise>
			<xsl:value-of select="$default"/>
		  </xsl:otherwise>
		</xsl:choose>
	</xsl:template>
 
	 <srv:servers>
<!--	  <srv:server><srv:content></srv:content><srv:config></srv:config></srv:server> -->
      <srv:default><srv:config>unknownCEUI</srv:config></srv:default>
	 </srv:servers>
	
</xsl:stylesheet>